/* Hikashop order export */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('custom', 'custom', 'order', 'com_hikashop', 'export'),
  ('username', 'username', 'order', 'com_hikashop', 'export'),
  ('category_path', 'category_path', 'order', 'com_hikashop', 'export'),
  ('zone_name', 'zone_name', 'order', 'com_hikashop', 'export'),
  ('zone_name_english', 'zone_name_english', 'order', 'com_hikashop', 'export'),
  ('zone_code_2', 'zone_code_2', 'order', 'com_hikashop', 'export'),
  ('zone_code_3', 'zone_code_3', 'order', 'com_hikashop', 'export'),
  ('country_2_code', 'country_2_code', 'order', 'com_hikashop', 'export'),
  ('country_3_code', 'country_3_code', 'order', 'com_hikashop', 'export'),
  ('country_name', 'country_name', 'order', 'com_hikashop', 'export'),
  ('state_3_code', 'state_3_code', 'order', 'com_hikashop', 'export'),
  ('state_name', 'state_name', 'order', 'com_hikashop', 'export');

/* Address fields billing */
INSERT IGNORE INTO `#__csvi_availablefields` (csvi_name, component_name, component_table, component, action)
  (SELECT
     CONCAT('billing_', TRIM(field_namekey)),
     CONCAT('billing_', TRIM(field_namekey)),
     'order',
     'com_hikashop',
     'import'
   FROM `#__hikashop_field`
   WHERE field_table = 'address'
  );

INSERT IGNORE INTO `#__csvi_availablefields` (csvi_name, component_name, component_table, component, action)
  (SELECT
     CONCAT('billing_', TRIM(field_namekey)),
     CONCAT('billing_', TRIM(field_namekey)),
     'order',
     'com_hikashop',
     'export'
   FROM `#__hikashop_field`
   WHERE field_table = 'address'
  );

/* Address fields shipping */
INSERT IGNORE INTO `#__csvi_availablefields` (csvi_name, component_name, component_table, component, action)
  (SELECT
     CONCAT('shipping_', TRIM(field_namekey)),
     CONCAT('shipping_', TRIM(field_namekey)),
     'order',
     'com_hikashop',
     'import'
   FROM `#__hikashop_field`
   WHERE field_table = 'address'
  );

INSERT IGNORE INTO `#__csvi_availablefields` (csvi_name, component_name, component_table, component, action)
  (SELECT
     CONCAT('shipping_', TRIM(field_namekey)),
     CONCAT('shipping_', TRIM(field_namekey)),
     'order',
     'com_hikashop',
     'export'
   FROM `#__hikashop_field`
   WHERE field_table = 'address'
  );

/* Hikashop product export */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('custom', 'custom', 'product', 'com_hikashop', 'export'),
  ('brand', 'brand', 'product', 'com_hikashop', 'export'),
  ('category_path', 'category_path', 'product', 'com_hikashop', 'export'),
  ('related_products', 'related_products', 'product', 'com_hikashop', 'export'),
  ('product_options', 'product_options', 'product', 'com_hikashop', 'export'),
  ('characteristics', 'characteristics', 'product', 'com_hikashop', 'export'),
  ('product_price', 'product_price', 'product', 'com_hikashop', 'export'),
  ('picture_url', 'picture_url', 'product', 'com_hikashop', 'export'),
  ('picture_url_thumb', 'picture_url_thumb', 'product', 'com_hikashop', 'export'),
  ('product_url', 'product_url', 'product', 'com_hikashop', 'export'),
  ('product_tax', 'product_tax', 'product', 'com_hikashop', 'export'),
  ('product_tax_category', 'product_tax_category', 'product', 'com_hikashop', 'export'),
  ('product_parent_code', 'product_parent_code', 'product', 'com_hikashop', 'export');

/* HikaShop product import */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('combine', 'combine', 'product', 'com_hikashop', 'import'),
  ('skip', 'skip', 'product', 'com_hikashop', 'import'),
  ('brand', 'brand', 'product', 'com_hikashop', 'import'),
  ('category_path', 'category_path', 'product', 'com_hikashop', 'import'),
  ('related_products', 'related_products', 'product', 'com_hikashop', 'import'),
  ('product_delete', 'product_delete', 'product', 'com_hikashop', 'import'),
  ('features', 'features', 'product', 'com_hikashop', 'import'),
  ('file_path', 'file_path', 'product', 'com_hikashop', 'import'),
  ('file_name', 'file_name', 'product', 'com_hikashop', 'import'),
  ('file_description', 'file_description', 'product', 'com_hikashop', 'import'),
  ('file_ordering', 'file_ordering', 'product', 'com_hikashop', 'import'),
  ('product_price', 'product_price', 'product', 'com_hikashop', 'import'),
  ('product_tax', 'product_tax', 'product', 'com_hikashop', 'import'),
  ('price_with_tax', 'price_with_tax', 'product', 'com_hikashop', 'import'),
  ('price_access_new', 'price_access_new', 'product', 'com_hikashop', 'import'),
  ('currency_code', 'currency_code', 'product', 'com_hikashop', 'import'),
  ('price_currency_id', 'price_currency_id', 'product', 'com_hikashop', 'import'),
  ('product_tax_category', 'product_tax_category', 'product', 'com_hikashop', 'import'),
  ('product_parent_code', 'product_parent_code', 'product', 'com_hikashop', 'import');

/* HikaShop category import */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('combine', 'combine', 'category', 'com_hikashop', 'import'),
  ('skip', 'skip', 'category', 'com_hikashop', 'import'),
  ('category_path', 'category_path', 'category', 'com_hikashop', 'import'),
  ('file_path', 'file_path', 'category', 'com_hikashop', 'import'),
  ('file_name', 'file_name', 'category', 'com_hikashop', 'import'),
  ('file_description', 'file_description', 'category', 'com_hikashop', 'import'),
  ('file_ordering', 'file_ordering', 'category', 'com_hikashop', 'import');

/* Hikashop category export */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('custom', 'custom', 'category', 'com_hikashop', 'export'),
  ('category_path', 'category_path', 'category', 'com_hikashop', 'export'),
  ('picture_url', 'picture_url', 'category', 'com_hikashop', 'export'),
  ('picture_url_thumb', 'picture_url_thumb', 'category', 'com_hikashop', 'export');

/* Hikashop customers export */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('custom', 'custom', 'customer', 'com_hikashop', 'export'),
  ('country_2_code', 'country_2_code', 'customer', 'com_hikashop', 'export'),
  ('country_3_code', 'country_3_code', 'customer', 'com_hikashop', 'export'),
  ('country_name', 'country_name', 'customer', 'com_hikashop', 'export'),
  ('state_3_code', 'state_3_code', 'customer', 'com_hikashop', 'export'),
  ('state_name', 'state_name', 'customer', 'com_hikashop', 'export'),
  ('usergroup_name', 'usergroup_name', 'customer', 'com_hikashop', 'export');

/* Hikashop customers import */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('combine', 'combine', 'customer', 'com_hikashop', 'import'),
  ('skip', 'skip', 'customer', 'com_hikashop', 'import'),
  ('password_crypt', 'password_crypt', 'customer', 'com_hikashop', 'import'),
  ('country_2_code', 'country_2_code', 'customer', 'com_hikashop', 'import'),
  ('country_3_code', 'country_3_code', 'customer', 'com_hikashop', 'import'),
  ('country_name', 'country_name', 'customer', 'com_hikashop', 'import'),
  ('state_3_code', 'state_3_code', 'customer', 'com_hikashop', 'import'),
  ('state_name', 'state_name', 'customer', 'com_hikashop', 'import'),
  ('first_name', 'first_name', 'customer', 'com_hikashop', 'import'),
  ('last_name', 'last_name', 'customer', 'com_hikashop', 'import'),
  ('usergroup_name', 'usergroup_name', 'customer', 'com_hikashop', 'import');

/* Hikashop discount import */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('combine', 'combine', 'discount', 'com_hikashop', 'import'),
  ('skip', 'skip', 'discount', 'com_hikashop', 'import'),
  ('category_path', 'category_path', 'discount', 'com_hikashop', 'import'),
  ('currency_code', 'currency_code', 'discount', 'com_hikashop', 'import'),
  ('usergroup_name', 'usergroup_name', 'discount', 'com_hikashop', 'import'),
  ('tax_name', 'tax_name', 'discount', 'com_hikashop', 'import'),
  ('state_name', 'zone_name', 'discount', 'com_hikashop', 'import'),
  ('country_name', 'country_name', 'discount', 'com_hikashop', 'import'),
  ('discount_delete', 'discount_delete', 'discount', 'com_hikashop', 'import'),
  ('product_code', 'product_code', 'discount', 'com_hikashop', 'import');

/* Hikashop discount export */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('custom', 'custom', 'discount', 'com_hikashop', 'export'),
  ('category_path', 'category_path', 'discount', 'com_hikashop', 'export'),
  ('currency_code', 'currency_code', 'discount', 'com_hikashop', 'export'),
  ('usergroup_name', 'usergroup_name', 'discount', 'com_hikashop', 'export'),
  ('tax_name', 'tax_name', 'discount', 'com_hikashop', 'export'),
  ('state_name', 'zone_name', 'discount', 'com_hikashop', 'export'),
  ('country_name', 'country_name', 'discount', 'com_hikashop', 'export'),
  ('product_code', 'product_code', 'discount', 'com_hikashop', 'export');

/* Hikashop price export */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('custom', 'custom', 'price', 'com_hikashop', 'export'),
  ('currency_code', 'currency_code', 'price', 'com_hikashop', 'export'),
  ('currency_name', 'currency_name', 'price', 'com_hikashop', 'export'),
  ('product_code', 'product_code', 'price', 'com_hikashop', 'export'),
  ('product_name', 'product_name', 'price', 'com_hikashop', 'export');


  /* Hikashop price import */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('skip', 'skip', 'price', 'com_hikashop', 'import'),
  ('combine', 'combine', 'price', 'com_hikashop', 'import'),
  ('price_delete', 'price_delete', 'price', 'com_hikashop', 'import'),
  ('price_value', 'price_value', 'price', 'com_hikashop', 'import'),
  ('price_value_new', 'price_value_new', 'price', 'com_hikashop', 'import'),
  ('currency_code', 'currency_code', 'price', 'com_hikashop', 'import'),
  ('product_code', 'product_code', 'price', 'com_hikashop', 'import'),
  ('price_access', 'price_access', 'price', 'com_hikashop', 'import'),
  ('price_access_new', 'price_access_new', 'price', 'com_hikashop', 'import');

  /* Hikashop characteristic import */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('skip', 'skip', 'characteristic', 'com_hikashop', 'import'),
  ('combine', 'combine', 'characteristic', 'com_hikashop', 'import'),
  ('characteristic_parent_alias', 'characteristic_parent_alias', 'characteristic', 'com_hikashop', 'import'),
  ('characteristic_delete', 'characteristic_delete', 'characteristic', 'com_hikashop', 'import');

   /* Hikashop characteristic export */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('custom', 'custom', 'characteristic', 'com_hikashop', 'export'),
  ('characteristic_parent_alias', 'characteristic_parent_alias', 'characteristic', 'com_hikashop', 'export');

/* Characteristic fields */
INSERT IGNORE INTO `#__csvi_availablefields` (csvi_name, component_name, component_table, component, action)
  (SELECT
     TRIM(characteristic_alias),
     TRIM(characteristic_alias),
     'product',
     'com_hikashop',
     'import'
   FROM `#__hikashop_characteristic`
   WHERE characteristic_parent_id = 0
  );

INSERT IGNORE INTO `#__csvi_availablefields` (csvi_name, component_name, component_table, component, action)
  (SELECT
     TRIM(characteristic_alias),
     TRIM(characteristic_alias),
     'product',
     'com_hikashop',
     'export'
   FROM `#__hikashop_characteristic`
   WHERE characteristic_parent_id = 0
  );

/* Hikashop shipping rate import */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('skip', 'skip', 'shippingrate', 'com_hikashop', 'import'),
  ('combine', 'combine', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_percentage', 'shipping_percentage', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_per_product', 'shipping_per_product', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_price_per_product', 'shipping_price_per_product', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_override_address', 'shipping_override_address', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_override_address_text', 'shipping_override_address_text', 'shippingrate', 'com_hikashop', 'import'),
  ('override_tax_zone', 'override_tax_zone', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_warehouse_filter', 'shipping_warehouse_filter', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_min_price', 'shipping_min_price', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_max_price', 'shipping_max_price', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_virtual_included', 'shipping_virtual_included', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_price_use_tax', 'shipping_price_use_tax', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_min_quantity', 'shipping_min_quantity', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_max_quantity', 'shipping_max_quantity', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_min_weight', 'shipping_min_weight', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_weight_unit', 'shipping_weight_unit', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_max_weight', 'shipping_max_weight', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_min_volume', 'shipping_min_volume', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_size_unit', 'shipping_size_unit', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_max_volume', 'shipping_max_volume', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_zip_prefix', 'shipping_zip_prefix', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_min_zip', 'shipping_min_zip', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_max_zip', 'shipping_max_zip', 'shippingrate', 'com_hikashop', 'import'),
  ('shipping_zip_suffix', 'shipping_zip_suffix', 'shippingrate', 'com_hikashop', 'import'),
  ('shippingrate_delete', 'shippingrate_delete', 'shippingrate', 'com_hikashop', 'import'),
  ('zone', 'zone', 'shippingrate', 'com_hikashop', 'import'),
  ('warehouse', 'warehouse', 'shippingrate', 'com_hikashop', 'import'),
  ('usergroup_name', 'usergroup_name', 'shippingrate', 'com_hikashop', 'import'),
  ('currency_code', 'currency_code', 'shippingrate', 'com_hikashop', 'import'),
  ('restricted_currency_code', 'restricted_currency_code', 'shippingrate', 'com_hikashop', 'import'),
  ('tax_name', 'tax_name', 'shippingrate', 'com_hikashop', 'import');

/* Hikashop shippingrate export */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('custom', 'custom', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_percentage', 'shipping_percentage', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_per_product', 'shipping_per_product', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_price_per_product', 'shipping_price_per_product', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_override_address', 'shipping_override_address', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_override_address_text', 'shipping_override_address_text', 'shippingrate', 'com_hikashop', 'export'),
  ('override_tax_zone', 'override_tax_zone', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_warehouse_filter', 'shipping_warehouse_filter', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_min_price', 'shipping_min_price', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_max_price', 'shipping_max_price', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_virtual_included', 'shipping_virtual_included', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_price_use_tax', 'shipping_price_use_tax', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_min_quantity', 'shipping_min_quantity', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_max_quantity', 'shipping_max_quantity', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_min_weight', 'shipping_min_weight', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_weight_unit', 'shipping_weight_unit', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_max_weight', 'shipping_max_weight', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_min_volume', 'shipping_min_volume', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_size_unit', 'shipping_size_unit', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_max_volume', 'shipping_max_volume', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_zip_prefix', 'shipping_zip_prefix', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_min_zip', 'shipping_min_zip', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_max_zip', 'shipping_max_zip', 'shippingrate', 'com_hikashop', 'export'),
  ('shipping_zip_suffix', 'shipping_zip_suffix', 'shippingrate', 'com_hikashop', 'export'),
  ('zone', 'zone', 'shippingrate', 'com_hikashop', 'export'),
  ('warehouse', 'warehouse', 'shippingrate', 'com_hikashop', 'export'),
  ('usergroup_name', 'usergroup_name', 'shippingrate', 'com_hikashop', 'export'),
  ('currency_code', 'currency_code', 'shippingrate', 'com_hikashop', 'export'),
  ('restricted_currency_code', 'restricted_currency_code', 'shippingrate', 'com_hikashop', 'export'),
  ('tax_name', 'tax_name', 'shippingrate', 'com_hikashop', 'export');

/* Hikashop custom field import */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('combine', 'combine', 'customfield', 'com_hikashop', 'import'),
  ('skip', 'skip', 'customfield', 'com_hikashop', 'import'),
  ('category_path', 'category_path', 'customfield', 'com_hikashop', 'import'),
  ('usergroup_name', 'usergroup_name', 'customfield', 'com_hikashop', 'import'),
  ('product_code', 'product_code', 'customfield', 'com_hikashop', 'export'),
  ('field_delete', 'field_delete', 'customfield', 'com_hikashop', 'import'),
  /* field display */
  ('field_item_show_cart', 'field_item_show_cart', 'customfield', 'com_hikashop', 'import'),
  ('field_item_backend_cart_details', 'field_item_backend_cart_details', 'customfield', 'com_hikashop', 'import'),
  ('field_item_checkout', 'field_item_checkout', 'customfield', 'com_hikashop', 'import'),
  ('field_item_order', 'field_item_order', 'customfield', 'com_hikashop', 'import'),
  ('field_item_product_listing', 'field_item_product_listing', 'customfield', 'com_hikashop', 'import'),
  ('field_item_product_show', 'field_item_product_show', 'customfield', 'com_hikashop', 'import'),
  ('field_item_product_cart', 'field_item_product_cart', 'customfield', 'com_hikashop', 'import'),
  ('field_item_order_form', 'field_item_order_form', 'customfield', 'com_hikashop', 'import'),
  ('field_item_invoice', 'field_item_invoice', 'customfield', 'com_hikashop', 'import'),
  ('field_item_shipping_invoice', 'field_item_shipping_invoice', 'customfield', 'com_hikashop', 'import'),
  ('field_item_edit_product_order', 'field_item_edit_product_order', 'customfield', 'com_hikashop', 'import'),
  ('field_item_order_notification', 'field_item_order_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_item_order_status_notification', 'field_item_order_status_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_item_order_creation_notification', 'field_item_order_creation_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_item_order_admin_notification', 'field_item_order_admin_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_item_payment_notification', 'field_item_payment_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_product_show', 'field_product_show', 'customfield', 'com_hikashop', 'import'),
  ('field_product_compare', 'field_product_compare', 'customfield', 'com_hikashop', 'import'),
  ('field_product_listing', 'field_product_listing', 'customfield', 'com_hikashop', 'import'),
  ('field_product_frontend_listing', 'field_product_frontend_listing', 'customfield', 'com_hikashop', 'import'),
  ('field_product_form', 'field_product_form', 'customfield', 'com_hikashop', 'import'),
  ('field_product_invoice', 'field_product_invoice', 'customfield', 'com_hikashop', 'import'),
  ('field_product_shipping_invoice', 'field_product_shipping_invoice', 'customfield', 'com_hikashop', 'import'),
  ('field_product_order_form', 'field_product_order_form', 'customfield', 'com_hikashop', 'import'),
  ('field_product_backend_cart_details', 'field_product_backend_cart_details', 'customfield', 'com_hikashop', 'import'),
  ('field_product_frontend_cart_details', 'field_product_frontend_cart_details', 'customfield', 'com_hikashop', 'import'),
  ('field_product_order_notification', 'field_product_order_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_product_order_status_notification', 'field_product_order_status_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_product_order_creation_notification', 'field_product_order_creation_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_product_order_admin_notification', 'field_product_order_admin_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_product_payment_notification', 'field_product_payment_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_order_invoice', 'field_order_invoice', 'customfield', 'com_hikashop', 'import'),
  ('field_order_shipping_invoice', 'field_order_shipping_invoice', 'customfield', 'com_hikashop', 'import'),
  ('field_order_show', 'field_order_show', 'customfield', 'com_hikashop', 'import'),
  ('field_order_checkout', 'field_order_checkout', 'customfield', 'com_hikashop', 'import'),
  ('field_order_listing', 'field_order_listing', 'customfield', 'com_hikashop', 'import'),
  ('field_order_form', 'field_order_form', 'customfield', 'com_hikashop', 'import'),
  ('field_order_edit_fields', 'field_order_edit_fields', 'customfield', 'com_hikashop', 'import'),
  ('field_order_notification', 'field_order_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_order_status_notification', 'field_order_status_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_order_creation_notification', 'field_order_creation_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_order_admin_notification', 'field_order_admin_notification', 'customfield', 'com_hikashop', 'import'),
  ('field_order_payment_notification', 'field_order_payment_notification', 'customfield', 'com_hikashop', 'import'),
  /* field options */
  ('errormessage', 'errormessage', 'customfield', 'com_hikashop', 'import'),
  ('regex', 'regex', 'customfield', 'com_hikashop', 'import'),
  ('attribute', 'attribute', 'customfield', 'com_hikashop', 'import'),
  ('placeholder', 'placeholder', 'customfield', 'com_hikashop', 'import'),
  ('cols', 'cols', 'customfield', 'com_hikashop', 'import'),
  ('filtering', 'filtering', 'customfield', 'com_hikashop', 'import'),
  ('maxlength', 'maxlength', 'customfield', 'com_hikashop', 'import'),
  ('rows', 'rows', 'customfield', 'com_hikashop', 'import'),
  ('zone_type', 'zone_type', 'customfield', 'com_hikashop', 'import'),
  ('pleaseselect', 'pleaseselect', 'customfield', 'com_hikashop', 'import'),
  ('size', 'size', 'customfield', 'com_hikashop', 'import'),
  ('format', 'format', 'customfield', 'com_hikashop', 'import'),
  ('allow', 'allow', 'customfield', 'com_hikashop', 'import'),
  ('readonly', 'readonly', 'customfield', 'com_hikashop', 'import'),
  ('translatable', 'translatable', 'customfield', 'com_hikashop', 'import'),
  ('limit_to_parent', 'limit_to_parent', 'customfield', 'com_hikashop', 'import'),
  ('parent_value', 'parent_value', 'customfield', 'com_hikashop', 'import'),
  ('product_id', 'product_id', 'customfield', 'com_hikashop', 'import'),
  ('product_value', 'product_value', 'customfield', 'com_hikashop', 'import');

/* Hikashop custom field export */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('custom', 'custom', 'customfield', 'com_hikashop', 'export'),
  ('category_path', 'category_path', 'customfield', 'com_hikashop', 'export'),
  ('usergroup_name', 'usergroup_name', 'customfield', 'com_hikashop', 'export'),
  ('product_code', 'product_code', 'customfield', 'com_hikashop', 'export'),
  /* field display */
  ('field_item_show_cart', 'field_item_show_cart', 'customfield', 'com_hikashop', 'export'),
  ('field_item_backend_cart_details', 'field_item_backend_cart_details', 'customfield', 'com_hikashop', 'export'),
  ('field_item_checkout', 'field_item_checkout', 'customfield', 'com_hikashop', 'export'),
  ('field_item_order', 'field_item_order', 'customfield', 'com_hikashop', 'export'),
  ('field_item_product_listing', 'field_item_product_listing', 'customfield', 'com_hikashop', 'export'),
  ('field_item_product_show', 'field_item_product_show', 'customfield', 'com_hikashop', 'export'),
  ('field_item_product_cart', 'field_item_product_cart', 'customfield', 'com_hikashop', 'export'),
  ('field_item_order_form', 'field_item_order_form', 'customfield', 'com_hikashop', 'export'),
  ('field_item_invoice', 'field_item_invoice', 'customfield', 'com_hikashop', 'export'),
  ('field_item_shipping_invoice', 'field_item_shipping_invoice', 'customfield', 'com_hikashop', 'export'),
  ('field_item_edit_product_order', 'field_item_edit_product_order', 'customfield', 'com_hikashop', 'export'),
  ('field_item_order_notification', 'field_item_order_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_item_order_status_notification', 'field_item_order_status_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_item_order_creation_notification', 'field_item_order_creation_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_item_order_admin_notification', 'field_item_order_admin_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_item_payment_notification', 'field_item_payment_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_product_show', 'field_product_show', 'customfield', 'com_hikashop', 'export'),
  ('field_product_compare', 'field_product_compare', 'customfield', 'com_hikashop', 'export'),
  ('field_product_listing', 'field_product_listing', 'customfield', 'com_hikashop', 'export'),
  ('field_product_frontend_listing', 'field_product_frontend_listing', 'customfield', 'com_hikashop', 'export'),
  ('field_product_form', 'field_product_form', 'customfield', 'com_hikashop', 'export'),
  ('field_product_invoice', 'field_product_invoice', 'customfield', 'com_hikashop', 'export'),
  ('field_product_shipping_invoice', 'field_product_shipping_invoice', 'customfield', 'com_hikashop', 'export'),
  ('field_product_order_form', 'field_product_order_form', 'customfield', 'com_hikashop', 'export'),
  ('field_product_backend_cart_details', 'field_product_backend_cart_details', 'customfield', 'com_hikashop', 'export'),
  ('field_product_frontend_cart_details', 'field_product_frontend_cart_details', 'customfield', 'com_hikashop', 'export'),
  ('field_product_order_notification', 'field_product_order_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_product_order_status_notification', 'field_product_order_status_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_product_order_creation_notification', 'field_product_order_creation_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_product_order_admin_notification', 'field_product_order_admin_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_product_payment_notification', 'field_product_payment_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_order_invoice', 'field_order_invoice', 'customfield', 'com_hikashop', 'export'),
  ('field_order_shipping_invoice', 'field_order_shipping_invoice', 'customfield', 'com_hikashop', 'export'),
  ('field_order_show', 'field_order_show', 'customfield', 'com_hikashop', 'export'),
  ('field_order_checkout', 'field_order_checkout', 'customfield', 'com_hikashop', 'export'),
  ('field_order_listing', 'field_order_listing', 'customfield', 'com_hikashop', 'export'),
  ('field_order_form', 'field_order_form', 'customfield', 'com_hikashop', 'export'),
  ('field_order_edit_fields', 'field_order_edit_fields', 'customfield', 'com_hikashop', 'export'),
  ('field_order_notification', 'field_order_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_order_status_notification', 'field_order_status_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_order_creation_notification', 'field_order_creation_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_order_admin_notification', 'field_order_admin_notification', 'customfield', 'com_hikashop', 'export'),
  ('field_order_payment_notification', 'field_order_payment_notification', 'customfield', 'com_hikashop', 'export'),
  /* field options */
  ('errormessage', 'errormessage', 'customfield', 'com_hikashop', 'export'),
  ('regex', 'regex', 'customfield', 'com_hikashop', 'export'),
  ('attribute', 'attribute', 'customfield', 'com_hikashop', 'export'),
  ('placeholder', 'placeholder', 'customfield', 'com_hikashop', 'export'),
  ('cols', 'cols', 'customfield', 'com_hikashop', 'export'),
  ('filtering', 'filtering', 'customfield', 'com_hikashop', 'export'),
  ('maxlength', 'maxlength', 'customfield', 'com_hikashop', 'export'),
  ('rows', 'rows', 'customfield', 'com_hikashop', 'export'),
  ('zone_type', 'zone_type', 'customfield', 'com_hikashop', 'export'),
  ('pleaseselect', 'pleaseselect', 'customfield', 'com_hikashop', 'export'),
  ('size', 'size', 'customfield', 'com_hikashop', 'export'),
  ('format', 'format', 'customfield', 'com_hikashop', 'export'),
  ('allow', 'allow', 'customfield', 'com_hikashop', 'export'),
  ('readonly', 'readonly', 'customfield', 'com_hikashop', 'export'),
  ('translatable', 'translatable', 'customfield', 'com_hikashop', 'export'),
  ('limit_to_parent', 'limit_to_parent', 'customfield', 'com_hikashop', 'export'),
  ('parent_value', 'parent_value', 'customfield', 'com_hikashop', 'export'),
  ('product_id', 'product_id', 'customfield', 'com_hikashop', 'export'),
  ('product_value', 'product_value', 'customfield', 'com_hikashop', 'export'),

/* HikaShop order product import */
  ('skip', 'skip', 'hikashop_order_product', 'com_hikashop', 'import'),
  ('combine', 'combine', 'hikashop_order_product', 'com_hikashop', 'import'),
  ('product_code', 'product_code', 'hikashop_order_product', 'com_hikashop', 'import'),
  ('product_price', 'product_price', 'hikashop_order_product', 'com_hikashop', 'import'),
  ('product_name', 'product_name', 'hikashop_order_product', 'com_hikashop', 'import'),
  ('order_number', 'order_number', 'hikashop_order_product', 'com_hikashop', 'import'),
  ('tax_namekey', 'tax_namekey', 'hikashop_order_product', 'com_hikashop', 'import'),
  ('tax_amount', 'tax_amount', 'hikashop_order_product', 'com_hikashop', 'import'),


  /* HikaShop order import */
  ('combine', 'combine', 'hikashop_order', 'com_hikashop', 'import'),
  ('skip', 'skip', 'hikashop_order', 'com_hikashop', 'import'),
  ('tax_namekey', 'tax_namekey', 'hikashop_order', 'com_hikashop', 'import'),
  ('tax_amount', 'tax_amount', 'hikashop_order', 'com_hikashop', 'import'),
  ('tax_amount_for_coupon', 'tax_amount_for_coupon', 'hikashop_order', 'com_hikashop', 'import'),
  ('billing_country_zone_name', 'billing_country_zone_name', 'hikashop_order', 'com_hikashop', 'import'),
  ('shipping_country_zone_name', 'shipping_country_zone_name', 'hikashop_order', 'com_hikashop', 'import'),
  ('billing_country_zone_name_english', 'billing_country_zone_name_english', 'hikashop_order', 'com_hikashop', 'import'),
  ('shipping_country_zone_name_english', 'shipping_country_zone_name_english', 'hikashop_order', 'com_hikashop', 'import'),
  ('billing_zone_type', 'billing_zone_type', 'hikashop_order', 'com_hikashop', 'import'),
  ('billing_country_zone_code_2', 'billing_country_zone_code_2', 'hikashop_order', 'com_hikashop', 'import'),
  ('billing_country_zone_code_3', 'billing_country_zone_code_3', 'hikashop_order', 'com_hikashop', 'import'),
  ('shipping_zone_type', 'shipping_zone_type', 'hikashop_order', 'com_hikashop', 'import'),
  ('shipping_country_zone_code_2', 'shipping_country_zone_code_2', 'hikashop_order', 'com_hikashop', 'import'),
  ('shipping_country_zone_code_3', 'shipping_country_zone_code_3', 'hikashop_order', 'com_hikashop', 'import'),
  ('billing_state_zone_name', 'billing_state_zone_name', 'hikashop_order', 'com_hikashop', 'import'),
  ('shipping_state_zone_name', 'shipping_state_zone_name', 'hikashop_order', 'com_hikashop', 'import'),
  ('billing_state_zone_name_english', 'billing_state_zone_name_english', 'hikashop_order', 'com_hikashop', 'import'),
  ('shipping_state_zone_name_english', 'shipping_state_zone_name_english', 'hikashop_order', 'com_hikashop', 'import'),
  ('billing_state_zone_code_2', 'billing_state_zone_code_2', 'hikashop_order', 'com_hikashop', 'import'),
  ('billing_state_zone_code_3', 'billing_state_zone_code_3', 'hikashop_order', 'com_hikashop', 'import'),
  ('shipping_state_zone_code_2', 'shipping_state_zone_code_2', 'hikashop_order', 'com_hikashop', 'import'),
  ('shipping_state_zone_code_3', 'shipping_state_zone_code_3', 'hikashop_order', 'com_hikashop', 'import'),
  ('shipping_address_published', 'shipping_address_published', 'hikashop_order', 'com_hikashop', 'import'),
  ('billing_address_published', 'billing_address_published', 'hikashop_order', 'com_hikashop', 'import'),
  ('shipping_address_default', 'shipping_address_default', 'hikashop_order', 'com_hikashop', 'import'),
  ('billing_address_default', 'billing_address_default', 'hikashop_order', 'com_hikashop', 'import'),
  ('billing_address_state', 'billing_address_state', 'hikashop_order', 'com_hikashop', 'import'),
  ('billing_address_country', 'billing_address_country', 'hikashop_order', 'com_hikashop', 'import'),
  ('shipping_address_country', 'shipping_address_country', 'hikashop_order', 'com_hikashop', 'import'),
  ('shipping_address_state', 'shipping_address_state', 'hikashop_order', 'com_hikashop', 'import');

  /* Address fields billing order import */
INSERT IGNORE INTO `#__csvi_availablefields` (csvi_name, component_name, component_table, component, action)
  (SELECT
     CONCAT('billing_', TRIM(field_namekey)),
     CONCAT('billing_', TRIM(field_namekey)),
     'hikashop_order',
     'com_hikashop',
     'import'
   FROM `#__hikashop_field`
   WHERE field_table = 'address'
  );

  /* Address fields shipping order import*/
INSERT IGNORE INTO `#__csvi_availablefields` (csvi_name, component_name, component_table, component, action)
  (SELECT
     CONCAT('shipping_', TRIM(field_namekey)),
     CONCAT('shipping_', TRIM(field_namekey)),
     'hikashop_order',
     'com_hikashop',
     'import'
   FROM `#__hikashop_field`
   WHERE field_table = 'address'
  );

  /* Hikashop badge export */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('custom', 'custom', 'badge', 'com_hikashop', 'export'),
  ('category_path', 'category_path', 'badge', 'com_hikashop', 'export');

  /* Hikashop vote export */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`)
VALUES
  ('custom', 'custom', 'vote', 'com_hikashop', 'export');

